Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::scoped_lock Class Reference

`#include <Foundation.h>`

Inheritance diagram for Alembic::Util::ALEMBIC_VERSION_NS::scoped_lock:
[legend]
Collaboration diagram for Alembic::Util::ALEMBIC_VERSION_NS::scoped_lock:
[legend]

## Public Member Functions

| scoped_lock (mutex &l)
| ~scoped_lock ()

## Detailed Description

Definition at line 278 of file Foundation.h.

## Constructor & Destructor Documentation

## scoped_lock()

Alembic::Util::ALEMBIC_VERSION_NS::scoped_lock::scoped_lock | ( | mutex & | l | ) |

inline

Definition at line 281 of file Foundation.h.

## ~scoped_lock()

Alembic::Util::ALEMBIC_VERSION_NS::scoped_lock::~scoped_lock | ( |  | ) |

inline

Definition at line 286 of file Foundation.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Util/Foundation.h